<?php

namespace Ep\Images;

use Zend\ConfigAggregator\ConfigAggregator;
use Zend\ConfigAggregator\PhpFileProvider;

/**
 * Class ConfigProvider
 *
 * @package Ep\Images
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/images
 */
class ConfigProvider
{
    /**
     * Vraća konfiguraciju.
     *
     * @return array
     */
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            new PhpFileProvider(__DIR__ . '/../config/*.config.php')
        ]))->getMergedConfig();
    }
}