<?php

namespace Ep\Images\Middleware;

use Psr\Container\ContainerInterface;

/**
 * Class ImageMiddlewareFactory
 *
 * @package Ep\Images\Middleware
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/images
 */
class ImageMiddlewareFactory
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $imageManager = $container->get('image_manager');
        return new $requestedName($imageManager);
    }
}